package com.kingdee.eas.custom.recuritment.task;

import com.google.common.collect.Maps;
import com.kingdee.shr.base.syssetting.MSFServiceFacadeFactory;
import org.apache.log4j.Logger;
import javax.ejb.*;
import java.rmi.RemoteException;
import java.util.Map;

import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;


public class ResignBeisenFacadeControllerBean extends AbstractResignBeisenFacadeControllerBean
{
    private static Logger logger =
        Logger.getLogger("com.kingdee.eas.custom.recuritment.task.ResignBeisenFacadeControllerBean");

    @Override
    protected String _syncBeisenReserveTalentPool(Context ctx, String resignBizBillID, IObjectValue resignBizBill) throws BOSException {
        super._syncBeisenReserveTalentPool(ctx, resignBizBillID, resignBizBill);
        Object obj=null;
        try {
            Map<String, Object> map = Maps.newHashMap();
            map.put("resignBizBillID",resignBizBillID);
            map.put("mack","syncBeisenReserveTalentPool");
            obj = MSFServiceFacadeFactory.getLocalInstance(ctx).processService("beisenFacadeOSF", map);
        }catch (Exception e){
            e.printStackTrace();
        }
        return (null==obj?"":obj.toString());
    }

    @Override
    protected String _syncUnBeisenReserveTalentPool(Context ctx, String resignBizBillID, IObjectValue resignBizBill) throws BOSException {
        super._syncUnBeisenReserveTalentPool(ctx, resignBizBillID, resignBizBill);
        Object obj=null;
        try {
            Map<String, Object> map = Maps.newHashMap();
            map.put("resignBizBillID",resignBizBillID);
            map.put("mack","syncUnBeisenReserveTalentPool");
            obj = MSFServiceFacadeFactory.getLocalInstance(ctx).processService("beisenFacadeOSF", map);
        }catch (Exception e){
            e.printStackTrace();
        }
        return (null==obj?"":obj.toString());
    }
}